import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):

        hasError = False

        try:
            self.assertEqual(count11([0, 0, 0, 0, 0]), 0, "Test failed. Please check your code.")

            self.assertNotEqual(count11([0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1]), 9, "Test Failed. Are you counting 1s instead of 11s?")
            self.assertEqual(count11([0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1]), 5, "Test failed. Please check your code.")
            self.assertEqual(count11([1, 0, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1, 1, 1]), 6, "Test failed. Please check your code.")
        except IndexError:
            hasError = True
            print("IndexError: You are trying to access values outside an array.")
            
        self.assertFalse(hasError, "Encountered an error. Please check your code.")

        # self.assertEqual(count11([0, 0, 0, 0, 0]), 0)
        # self.assertEqual(count11([0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1]), 5)
        # self.assertEqual(count11([1, 0, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1, 1, 1]), 6)

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())