import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'count11')

class MainTest(unittest.TestCase):
   
    @points('2-1')
    def test_answer(self):

        hasError = False

        try:
            self.assertEqual(main([0, 0, 0, 0, 0]), 0, "Test failed. Please check your code.")

            self.assertNotEqual(main([0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1]), 9, "Test Failed. Are you counting 1s instead of 11s?")
            self.assertEqual(main([0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1]), 5, "Test failed. Please check your code.")
            self.assertEqual(main([1, 0, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1, 1, 1]), 6, "Test failed. Please check your code.")
        except IndexError:
            hasError = True
            print("IndexError: You are trying to access values outside an array.")
            
        self.assertFalse(hasError, "Encountered an error. Please check your code.")

        # self.assertEqual(main([0, 0, 0, 0, 0]), 0)
        # self.assertEqual(main([0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1]), 5)
        # self.assertEqual(main([1, 0, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1, 1, 1]), 6)

if __name__ == '__main__':
    unittest.main()